* {
	box-sizing: border-box;
}

:root {
	--anchoGaleria: 1000%;
}

section.carrusel.container-slider {
	--color-recurso: #0069d9;
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	-o-user-select: none;
	user-select: none;
	width: 90%;
	max-width: 900px;
	margin: 2em auto;
	overflow: hidden;
	box-shadow: 0 0 0 10px #fff, 0 15px 50px;
	position: relative;
    background-color: #eee;
}

section.carrusel.container-slider h1 {
	text-align: center;
}

section.carrusel.container-slider .sliderCarrusel {
	display: flex;
	width: var(--anchoGaleria);
	height: 400px;
	margin-left: -100%;
    background-color: #eee;
	/* desplazamiento del ancho de cada imagen */
}

section.carrusel.container-slider .slider__section {
	width: 100%;
	padding: 20px;
	background: #eee;
	display: flex;
	flex-direction: column;
	flex: 1;
    
}

section.carrusel.container-slider .slider__img {
	display: block;
	width: 100%;
	height: 90%;
	object-fit: contain;
	/* cover: la imagen no se deforma, pero se recorta; contain: la imagen no se deforma, pero queda con margenes a los 4 lados */
}

section.carrusel.container-slider .slider__btn {
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 40px;
	height: 40px;
	background: rgba(184, 184, 184, 0.7);
	top: 50%;
	transform: translateY(-50%);
	font-size: 30px;
	font-weight: bold;
	font-family: monospace;
	text-align: center;
	border-radius: 50%;
	cursor: pointer;
	opacity: 0.5;
	transition: all 0.5s ease;
}

section.carrusel.container-slider .slider__btn:hover {
	background: #fff;
	opacity: 1;
	transform: scale(1.2, 1.2) translateX(0) translateY(-40%);
}

section.carrusel.container-slider .slider__btn__regresa {
	left: 10px;
    top:100px;
}

section.carrusel.container-slider .slider__btn__avanza {
	right: 10px;
     top:100px;
}

section.carrusel.container-slider .xs-text {
	font-size: 75%;
	text-align: center;
	padding-top: 1em;
}

section.carrusel.container-slider p {
	margin: 0 1em 1em 1em;
	line-height: normal;
}

section.carrusel.container-slider .puntos {
	width: 100%;
	padding: 0.4em;
	margin: 1em 0 0;
	display: flex;
	flex-flow: row nowrap;
	justify-content: center;
	align-items: center;
}

section.carrusel.container-slider .punto {
	width: 20px;
	height: 10px;
	border: 1px solid #ddd;
	margin: 0 6px;
	list-style: none;
	border-radius: 100px;
	cursor: pointer;
	transition: background-color 0.6s ease;
}

section.carrusel.container-slider .punto.activo {
	background-color: var(--color-recurso);
}

/* 
  ##Device = Desktops
  ##Screen = 1281px to higher resolution desktops
*/
/* @media screen and (min-width: 1281px) {
	body {
        background-color: orange;
    }
} */

/* ---------------- */
/* 
	##Device = Laptops, Desktops
	##Screen = B/w 1025px to 1280px
  */
/* @media screen and (min-width: 1025px) and (max-width: 1280px) {
	body {
        background-color: khaki;
    }
} */

/* ---------------- */
/* 
	##Device = Tablets, Ipads (portrait)
	##Screen = B/w 768px to 1024px
  */
/* @media screen and (min-width: 768px) and (max-width: 1024px) {
	body {
		background-color: lightgreen;
	}
} */

/* ---------------- */
/* 
	##Device = Tablets, Ipads (landscape)
	##Screen = B/w 768px to 1024px
  */
/* @media screen and (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
	body {
		background-color: grey;
	}

	section.carrusel.container-slider .slider {
		height: 75vh;
	}
} */

/* ---------------- */
/* 
	##Device = Low Resolution Tablets, Mobiles (Landscape)
	##Screen = B/w 481px to 767px
  */
/* @media screen and (min-width: 481px) and (max-width: 767px) {
	body {
		background-color: coral;
	}

	section.carrusel.container-slider .slider {
		height: 70vh;
	}
} */

/* ---------------- */
/* 
	##Device = Most of the Smartphones Mobiles (Portrait)
	##Screen = B/w 320px to 479px
  */
@media screen and (max-width: 480px) {

	body {
        /* background-color: red; */
		min-width: 350px;
    }
	/* section.carrusel.container-slider .slider {
		height: 220px;
	} */

	section.carrusel.container-slider .sliderCarrusel {
		height: initial;
		/* desplazamiento del ancho de cada imagen */
	}
}